# draugr.opencv_utilities.transformation.cv2_transforms.CV2RandomSampleCrop

class draugr.opencv_utilities.transformation.cv2_transforms.CV2RandomSampleCrop

  Bases: `object`

  Crop Arguments: img (Image): the image being input during training boxes (Tensor): the original bounding boxes in pt form labels (Tensor): the class labels for each bbox mode (float tuple): the min and max jaccard overlaps Return: (img, boxes, classes) img (Image): the cropped image boxes (Tensor): the adjusted bounding boxes in pt form labels (Tensor): the class labels for each bbox

  __init__()

  Methods

  `__init__`() |